> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ticketorigin

> Ticket Origin

## "ticketorigin" MDO List

Ticket Origin

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TicketOriginProvider">TicketOriginProvider</see> class.
The name of the MDO list is 'ticketorigin'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ticketorigin
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ticketorigin", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name            | StyleHint | ExtraInfo |
| -- | --------------- | --------- | --------- |
| 0  | Unknown         |           |           |
| 1  | E-mail          |           |           |
| 2  | SMS             |           |           |
| 3  | Fax             |           |           |
| 4  | Phone           |           |           |
| 5  | Facebook        |           |           |
| 6  | Twitter         |           |           |
| 7  | Internal        |           |           |
| 8  | Customer Centre |           |           |
| 9  | eMarketing      |           |           |
| 10 | Automatic       |           |           |
| 11 | Chat            |           |           |
| 12 | Form            |           |           |

## Related MDO Lists

* "ticketoriginheadings"
* "ticketoriginheadingswithallitem"
* "ticketoriginheadingswithallitemwithnoselection"
* "ticketoriginheadingswithnoselection"
* "ticketoriginwithallitem"
* "ticketoriginwithallitemwithnoselection"
* "ticketoriginwithnoselection"


## Related topics

- [Enum TicketOrigin](/en/automation/crmscript/reference/CRMScript.NetServer.TicketOrigin.md)
- [Enum values for TicketOrigin](/en/database/tables/enums/ticketorigin.md)
- [SuperOffice.WebApi.Data.TicketOrigin](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketOrigin.md)
- [SuperOffice.WebApi.Data.Ticket](/en/api/reference/webapi/SuperOffice.WebApi.Data.Ticket.md)
- [SuperOffice.WebApi.Data.TicketEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketEntity.md)
- [NSTicketEntity](/en/automation/crmscript/reference/CRMScript.NetServer.NSTicketEntity.md)
